LT + v3.0 for hitachi 59 will not be?

HomeForumsGeneral DiscussionLT + v3.0 for hitachi 59 will not be?

This topic has 2 voices, contains 1 reply, and was last updated by avatar QuickMythril 2118 days ago.

Viewing 2 posts - 1 through 2 (of 2 total)
Author Posts
Author Posts
2011-12-08 at 02:16AM UTC #4851
avatar
TheDikus

LT + v3.0 for hitachi 59 will not be?

2011-12-08 at 04:59AM UTC #4852
avatar
QuickMythril

i don’t think you would need it. hitachi 59 doesn’t do ap2.5 checks, so LT 3.0 would be a little pointless.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.